## Uses of Class
org.apache.cassandra.exceptions.WriteTimeoutException

Packages that use WriteTimeoutException
Package | Description
--- | ---
org.apache.cassandra.service |
org.apache.cassandra.service.paxos |

### Uses of WriteTimeoutException in org.apache.cassandra.service

Methods in org.apache.cassandra.service that throw WriteTimeoutException
Modifier and Type | Method and Description
--- | ---
`static ColumnFamily` | StorageProxy.`cas(java.lang.String keyspaceName, java.lang.String cfName, java.nio.ByteBuffer key, CASConditions conditions, ColumnFamily updates, ConsistencyLevel consistencyForPaxos, ConsistencyLevel consistencyForCommit)` Apply @param updates if and only if the current values in the row for @param key match the provided @param conditions.
`void` | AbstractWriteResponseHandler.`get()`
`static void` | StorageProxy.`mutate(java.util.Collection<? extends IMutation> mutations, ConsistencyLevel consistency_level)` Use this method to have these Mutations applied across all replicas.
`static void` | StorageProxy.`mutateAtomically(java.util.Collection<RowMutation> mutations, ConsistencyLevel consistency_level)` See mutate.
`static void` | StorageProxy.`mutateWithTriggers(java.util.Collection<? extends IMutation> mutations, ConsistencyLevel consistencyLevel, boolean mutateAtomically)`

### Uses of WriteTimeoutException in org.apache.cassandra.service.paxos

Methods in org.apache.cassandra.service.paxos that throw WriteTimeoutException
Modifier and Type | Method and Description
--- | ---
`void` | AbstractPaxosCallback.`await()`